# Tasks Management

Operations to view and manage the tasks running in the platform. Customers can only view tasks.

 - [What tasks are](https://api-docs.omniaretail.dev/api/omnia/tasks/what-tasks-are.md): # What tasks are Tasks are asynchronously handled jobs in our system, like price calculation or monitoring jobs. You can use [this operation to find tasks for a contract](#operation/getTasksVendorV2).
 - [Price calculation tasks](https://api-docs.omniaretail.dev/api/omnia/tasks/price-calculation-tasks.md): # Price calculation tasks A use case for the find tasks operation is to get the most recent completed price calculation task to see if it was successful or failed. And if it failed, what the failures
 - [GET /api/2/v/contracts/{contractId}/tasks](https://api-docs.omniaretail.dev/api/omnia/tasks/gettasksvendorv2.md): The search can be narrowed down by providing the IDs of the tasks, separated by comma
 - [GET /api/2/v/contracts/{contractId}/tasks/{taskId}](https://api-docs.omniaretail.dev/api/omnia/tasks/gettaskvendorv2.md): Finds a task with the specified id for the given contract.
